com.ibm.openpages.api.resource

## Class ContaineeFilter

- java.lang.Object
- - com.ibm.openpages.api.resource.ContaineeFilter

-     public class ContaineeFilter
      extends java.lang.Object

  Filtering class for Folder containees.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContaineeFilter()` Constructor- Creates the ContaineeFilter with default setting to include both FOLDER and GRCOBJECT.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<IFieldDefinition>` | `getFieldFilters()` Returns a unique list of field definition filters.
    `IncludeContainees` | `getIncludeContainees()` Returns the type of containees included.
    `java.util.Set<ITypeDefinition>` | `getTypeFilters()` Returns a unique list of type definition filters.
    `void` | `setFieldFilters(IFieldDefinition... fieldDefinitions)` Sets one or more field definition filters.
    `void` | `setIncludeContainees(IncludeContainees includeContainees)` Sets the type of containees to include.
    `void` | `setTypeFilters(ITypeDefinition... types)` Adds a one or more type filters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContaineeFilter

          public ContaineeFilter()

      Constructor- Creates the ContaineeFilter with default setting to include both FOLDER and GRCOBJECT.

  - ### Method Detail

    - #### getIncludeContainees

          public IncludeContainees getIncludeContainees()

      Returns the type of containees included.
      Returns:
        the type of containees included. By default, this value is BOTH.

    - #### setIncludeContainees

          public void setIncludeContainees(IncludeContainees includeContainees)

      Sets the type of containees to include.
      Parameters:
        `includeContainees` - the type of containees to include

    - #### getTypeFilters

          public java.util.Set<ITypeDefinition> getTypeFilters()

      Returns a unique list of type definition filters.
      Returns:
        a unique list of type definition filters

    - #### getFieldFilters

          public java.util.Set<IFieldDefinition> getFieldFilters()

      Returns a unique list of field definition filters.
      Returns:
        a unique list of field definition

    - #### setTypeFilters

          public void setTypeFilters(ITypeDefinition... types)

      Adds a one or more type filters.
      Parameters:
        `names` - one or more type filter system names

    - #### setFieldFilters

          public void setFieldFilters(IFieldDefinition... fieldDefinitions)

      Sets one or more field definition filters.
      Parameters:
        `fieldDefinitions` - one or more type filter system names

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.